function dashboard_widget (instance, widget) {
    "use strict";

    var widgets = widget;

    widget.DashboardWidget = instance.Widget.extend({
        template: 'DashboardTmpl',
        widgets: [
            {
                title: 'Clientes',
                name: 'CustomerCounterWidget'
            }
        ],
        grid: {},
        start: function () {
            this.$el.find('.grid-stack.dashboard').gridstack({
                animate: true,
            });
            this.grid = this.$el.find('.grid-stack.dashboard').data('gridstack');
            this.renderWidgets();
        },
        renderWidgets: function () {
            for (var i = 1; i <= 4; i++) {
                var widget = new widgets.CustomerCounterWidget(this);
                widget.renderElement();
                // widget.start();

                this.grid.addWidget(widget.$el, 0, 0, widget.getWidth(),  widget.getHeight(), true);
            }

            var w = new widgets.SalesInTheWeekWidget(this);
            w.renderElement();
            w.start();

            this.grid.addWidget(w.$el, 0, 0, w.size.width,  w.size.height, true);

            var w2 = new widgets.TopSalesProductWidget(this);
            w2.renderElement();
            w2.start();

            this.grid.addWidget(w2.$el, 0, 0, w2.size.width,  w2.size.height, true);

            var w3 = new widgets.SalesInWarehouseByBrandWidget(this);
            w3.renderElement();
            w3.start();

            this.grid.addWidget(w3.$el, 0, 0, w3.size.width,  w3.size.height, true);
        }
    });
}
